## About Jekyll Soopr SEO Tag

Jekyll Soopr SEO Tag plugin is a fork of Jekyll SEO Tag, the wonderful plugin that adds metadata tags for search engines and social networks to better index and display your site's content.
In addition to that, Soopr SEO Tag plugin uses Soopr and does following two things
1. Auto-generation of share images using Soopr. This functionality uses title and description of page, and creates a beautiful image that is automatically added in the blog post.
2. Add Soopr JS SDK to the site. Using Soopr JS SDK, you can add share and like buttons, URL shortener and analytics.

## What it does

Jekyll SEO Tag adds the following meta tags to your site:

* Page title, with site title or description appended
* Page description
* Canonical URL
* Next and previous URLs on paginated pages
* [JSON-LD Site and post metadata](https://developers.google.com/search/docs/guides/intro-structured-data) for richer indexing
* [Open Graph](https://ogp.me/) title, description, site title, and URL (for Facebook, LinkedIn, etc.)
* [Twitter Summary Card](https://dev.twitter.com/cards/overview) metadata

While you could theoretically add the necessary metadata tags yourself, Jekyll SEO Tag provides a battle-tested template of crowdsourced best-practices.

## What it doesn't do

Jekyll SEO tag is designed to output machine-readable metadata for search engines and social networks to index and display. If you're looking for something to analyze your Jekyll site's structure and content (e.g., more traditional SEO optimization), take a look at [The Jekyll SEO Gem](https://github.com/pmarsceill/jekyll-seo-gem).

Jekyll SEO tag isn't designed to accommodate every possible use case. It should work for most site out of the box and without a laundry list of configuration options that serve only to confuse most users.

## Documentation

For more information, see:

* [Installation](installation.md)
* [Usage](usage.md)
* [Advanced usage](advanced-usage.md)
